Bug 247782 - net-im/cordless: Update to 2020.06.26 and fix build error
Summary: net-im/cordless: Update to 2020.06.26 and fix build error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/Bios-Marcel/cordle...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-05 15:28 UTC by Lewis Cook
Modified: 2020-07-05 16:29 UTC (History)
1 user (show)

See Also:


Attachments
cordless-2020.06.26.diff (10.53 KB, patch)
2020-07-05 15:28 UTC, Lewis Cook
vulcan: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_triage 2020-07-05 15:28:08 UTC
Created attachment 216219 [details]
cordless-2020.06.26.diff

* Address compilation error as reported from pkg-fallout[0] by
  importing upstream fix[1]

Changelog:

 * https://github.com/Bios-Marcel/cordless/releases/2020-06-26

[0] http://beefy18.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p541162_s362853
[1] https://github.com/godbus/dbus/pull/208

QA:

 * portlint: OK (looks fine).
 * testport: OK (poudriere: 12.1-RELEASE-p5, amd64).

MFH: No (Whilst a bugfix release, this port doesn't exist in 2020Q3 or below)
Comment 1 Automation User 2020-07-05 16:13:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/163257190
Comment 2 Tobias C. Berner freebsd_committer 2020-07-05 16:29:35 UTC
Committed. Thanks.
Comment 3 commit-hook freebsd_committer 2020-07-05 16:29:48 UTC
A commit references this bug:

Author: tcberner
Date: Sun Jul  5 16:29:25 UTC 2020
New revision: 541288
URL: https://svnweb.freebsd.org/changeset/ports/541288

Log:
  net-im/cordless: Update to 2020.06.26 and fix build error

  PR:		247782
  Reported by:	Lewis Cook <vulcan@wired.sh>  (maintainer)

Changes:
  head/net-im/cordless/Makefile
  head/net-im/cordless/distinfo
  head/net-im/cordless/files/
  head/net-im/cordless/files/patch-vendor_github.com_godbus_dbus_transport__unixcred__freebsd.go